<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <parent>
    <groupId>org.eclipse.jetty.osgi</groupId>
    <artifactId>jetty-osgi-project</artifactId>
    <version>9.4.41.v20210516</version>
    <relativePath>../pom.xml</relativePath>
  </parent>
  <modelVersion>4.0.0</modelVersion>
  <artifactId>test-jetty-osgi-fragment</artifactId>
  <name>Jetty :: OSGi :: WebApp Fragment</name>
  <description>Test Jetty OSGi Webapp Fragment bundle</description>
  <properties>
    <bundle-symbolic-name>${project.groupId}.webapp.fragment</bundle-symbolic-name>
  </properties>
  <build>
    <resources>
      <resource>
        <directory>src/main/resources</directory>
      </resource>
    </resources>

    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-deploy-plugin</artifactId>
        <configuration>
          <!-- DO NOT DEPLOY (or Release) -->
          <skip>true</skip>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.apache.felix</groupId>
        <artifactId>maven-bundle-plugin</artifactId>
        <extensions>true</extensions>
        <configuration>
          <instructions>
            <Bundle-SymbolicName>${bundle-symbolic-name}</Bundle-SymbolicName>
            <Bundle-Name>Jetty OSGi Test WebApp Fragment</Bundle-Name>
            <Bundle-RequiredExecutionEnvironment>J2SE-1.5</Bundle-RequiredExecutionEnvironment>
            <Fragment-Host>org.eclipse.jetty.tests.test-spec-webapp</Fragment-Host>
            <Jetty-WarFragmentFolderPath>/</Jetty-WarFragmentFolderPath>
          </instructions>
        </configuration>
      </plugin>
    </plugins>
  </build>

</project>
